Skip to main content
GET
/
projects
/
{project_reference}
/
job-targets
/
{target_name}
Get Job Target
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/job-targets/{target_name} \
  --header 'Authorization: Bearer <token>'
{
  "target": "<string>",
  "family": "<string>",
  "description": "<string>",
  "input_schema": {},
  "output_schema": {}
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
target_name
string
required

Job target, for example task:knowledge-ingest

Query Parameters

runtime_target_kind
enum<string> | null

Provide the runtime target kind.

Available options:
production,
environment,
preview_branch
target_environment_id
string<uuid> | null

Provide the target environment id.

target_branch_id
string<uuid> | null

Provide the target branch id.

source_target_kind
enum<string>

Provide the source target kind.

Available options:
project,
production,
environment,
preview_branch

Response

Public job target definition

One data item associated with this tool result.

target
string
required

The target associated with this tool result.

family
string
required

The family associated with this tool result.

description
string
required

Human-readable description returned by the tool.

input_schema
object
required

Structured input schema details associated with this tool result.

output_schema
object
required

The output schema associated with this tool result.